> ## Documentation Index
> Fetch the complete documentation index at: https://vectorly-783efd43.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# List objects.

> ### List Objects

By default, the API returns only objects created by the current user, excluding sharing
information for performance optimization.

When `shared_with_me` is enabled, the API returns objects owned by other users but
shared with the current user, including their sharing details.

Enabling `shared_by_me` will include sharing information for objects that the current
user has shared with others.

Setting `with_share_info` to true combines both scenarios: it returns objects shared
by the current user as well as objects shared with the current user, complete with
their respective sharing information. This effectively merges the functionality of
both `shared_by_me` and `shared_with_me`.

### Example

List models:
```
GET /api/object?object_type=model
GET /api/object?object_type=model&shared_by_me=true
GET /api/object?object_type=model&shared_with_me=true
GET /api/object?object_type=model&with_share_info=true
```

List experiments:
```
GET /api/object?object_type=experiment
GET /api/object?object_type=experiment&shared_by_me=true
GET /api/object?object_type=experiment&shared_with_me=true
GET /api/object?object_type=experiment&with_share_info=true
```



## OpenAPI

````yaml get /api/object
openapi: 3.1.0
info:
  title: Coinfer Server API
  version: 0.0.1776236533+0db4b8c
  description: |+

    This part of document describes the HTTP APIs of the Coinfer cloud.

servers:
  - url: https://api.coinfer.ai
    description: The production environment
  - url: https://dev.coinfer.ai
    description: The development environment
security: []
tags:
  - name: Object
    description: APIs related to object CRUD operations.
  - name: Invoke
    description: APIs used to invoke CloudFunction or run workflow.
  - name: Notification
    description: APIs related to notification.
  - name: Authorization
    description: >-
      APIs related to user, token, login, etc.


      Normally APIs in this group should not be used. You should get API token
      from our website and then use the token to call other APIs.
paths:
  /api/object:
    get:
      tags:
        - Object
      summary: List objects.
      description: >-
        ### List Objects


        By default, the API returns only objects created by the current user,
        excluding sharing

        information for performance optimization.


        When `shared_with_me` is enabled, the API returns objects owned by other
        users but

        shared with the current user, including their sharing details.


        Enabling `shared_by_me` will include sharing information for objects
        that the current

        user has shared with others.


        Setting `with_share_info` to true combines both scenarios: it returns
        objects shared

        by the current user as well as objects shared with the current user,
        complete with

        their respective sharing information. This effectively merges the
        functionality of

        both `shared_by_me` and `shared_with_me`.


        ### Example


        List models:

        ```

        GET /api/object?object_type=model

        GET /api/object?object_type=model&shared_by_me=true

        GET /api/object?object_type=model&shared_with_me=true

        GET /api/object?object_type=model&with_share_info=true

        ```


        List experiments:

        ```

        GET /api/object?object_type=experiment

        GET /api/object?object_type=experiment&shared_by_me=true

        GET /api/object?object_type=experiment&shared_with_me=true

        GET /api/object?object_type=experiment&with_share_info=true

        ```
      operationId: coinfer_apis_unified_api_list_object
      parameters:
        - in: query
          name: page_no
          schema:
            default: 1
            description: page number
            exclusiveMinimum: 0
            title: Page No
            type: integer
          required: false
          description: page number
        - in: query
          name: page_size
          schema:
            default: 100
            description: page size
            exclusiveMinimum: 0
            maximum: 1000
            title: Page Size
            type: integer
          required: false
          description: page size
        - in: query
          name: object_type
          schema:
            enum:
              - model
              - experiment
              - share
              - event
              - callback
              - relation
              - data
              - workflow
              - ''
            title: Object Type
            type: string
          required: true
        - in: query
          name: with_share_info
          schema:
            default: false
            description: Whether to return the related share info
            title: With Share Info
            type: boolean
          required: false
          description: Whether to return the related share info
        - in: query
          name: shared_by_me
          schema:
            default: false
            description: Filter objects shared by the current user
            title: Shared By Me
            type: boolean
          required: false
          description: Filter objects shared by the current user
        - in: query
          name: shared_with_me
          schema:
            default: false
            description: Filter objects shared with the current user
            title: Shared With Me
            type: boolean
          required: false
          description: Filter objects shared with the current user
        - in: query
          name: workflow_id
          schema:
            default: ''
            description: Filter by workflow id
            title: Workflow Id
            type: string
          required: false
          description: Filter by workflow id
        - in: query
          name: model_ids
          schema:
            items:
              type: string
            title: Model Ids
            type: array
          required: false
        - in: query
          name: status
          schema:
            default: ''
            enum:
              - NEW
              - RUN
              - FIN
              - ERR
              - ''
            title: Status
            type: string
          required: false
        - in: query
          name: run_on
          schema:
            default: ''
            enum:
              - Lambda
              - Fargate
              - Local
              - ''
            title: Run On
            type: string
          required: false
        - in: query
          name: has_model
          schema:
            default: ''
            enum:
              - 'true'
              - 'false'
              - ''
            title: Has Model
            type: string
          required: false
        - in: query
          name: tags
          schema:
            description: Filter by tags
            items:
              description: |-
                All possible tags for cloudfunctions

                Including: CloudFunctionManagedTag and CloudFunctionKind
              enum:
                - internal
                - builtin
                - reserved
                - model
                - code
              title: CloudFunctionTag
              type: string
            title: Tags
            type: array
          required: false
          description: Filter by tags
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/SuccRsp_ListingRspData_Annotated_Union_ListExperimentRsp__ListModelsRspItem__CreateEventRsp__CreateCallbackRsp__CreateRelationRsp__CreateDataRsp__CreateWorkflowRsp___FieldInfo_annotation_NoneType__required_True__discriminator__object_type_____
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrRsp'
      security:
        - GlobalAuth: []
components:
  schemas:
    SuccRsp_ListingRspData_Annotated_Union_ListExperimentRsp__ListModelsRspItem__CreateEventRsp__CreateCallbackRsp__CreateRelationRsp__CreateDataRsp__CreateWorkflowRsp___FieldInfo_annotation_NoneType__required_True__discriminator__object_type_____:
      properties:
        status:
          const: ok
          title: Status
          type: string
        data:
          $ref: >-
            #/components/schemas/ListingRspData_Annotated_Union_ListExperimentRsp__ListModelsRspItem__CreateEventRsp__CreateCallbackRsp__CreateRelationRsp__CreateDataRsp__CreateWorkflowRsp___FieldInfo_annotation_NoneType__required_True__discriminator__object_type____
      required:
        - status
        - data
      title: >-
        SuccRsp[ListingRspData[Annotated[Union[ListExperimentRsp,
        ListModelsRspItem, CreateEventRsp, CreateCallbackRsp, CreateRelationRsp,
        CreateDataRsp, CreateWorkflowRsp], FieldInfo(annotation=NoneType,
        required=True, discriminator='object_type')]]]
      type: object
    ErrRsp:
      properties:
        status:
          const: error
          title: Status
          type: string
        code:
          title: Code
          type: string
        message:
          title: Message
          type: string
      required:
        - status
        - code
        - message
      title: ErrRsp
      type: object
    ListingRspData_Annotated_Union_ListExperimentRsp__ListModelsRspItem__CreateEventRsp__CreateCallbackRsp__CreateRelationRsp__CreateDataRsp__CreateWorkflowRsp___FieldInfo_annotation_NoneType__required_True__discriminator__object_type____:
      properties:
        total:
          title: Total
          type: integer
        page:
          title: Page
          type: integer
        count_per_page:
          title: Count Per Page
          type: integer
        objects:
          items:
            discriminator:
              mapping:
                callback:
                  $ref: '#/components/schemas/CreateCallbackRsp'
                data:
                  $ref: '#/components/schemas/CreateDataRsp'
                event:
                  $ref: '#/components/schemas/CreateEventRsp'
                experiment:
                  $ref: '#/components/schemas/ListExperimentRsp'
                model:
                  $ref: '#/components/schemas/ListModelsRspItem'
                relation:
                  $ref: '#/components/schemas/CreateRelationRsp'
                workflow:
                  $ref: '#/components/schemas/CreateWorkflowRsp'
              propertyName: object_type
            oneOf:
              - $ref: '#/components/schemas/ListExperimentRsp'
              - $ref: '#/components/schemas/ListModelsRspItem'
              - $ref: '#/components/schemas/CreateEventRsp'
              - $ref: '#/components/schemas/CreateCallbackRsp'
              - $ref: '#/components/schemas/CreateRelationRsp'
              - $ref: '#/components/schemas/CreateDataRsp'
              - $ref: '#/components/schemas/CreateWorkflowRsp'
          title: Objects
          type: array
      required:
        - total
        - page
        - count_per_page
        - objects
      title: >-
        ListingRspData[Annotated[Union[ListExperimentRsp, ListModelsRspItem,
        CreateEventRsp, CreateCallbackRsp, CreateRelationRsp, CreateDataRsp,
        CreateWorkflowRsp], FieldInfo(annotation=NoneType, required=True,
        discriminator='object_type')]]
      type: object
    CreateCallbackRsp:
      properties:
        object_type:
          const: callback
          title: Object Type
          type: string
        short_id:
          title: Short Id
          type: string
        lang:
          title: Lang
          type: string
        code:
          title: Code
          type: string
        token:
          title: Token
          type: string
        created_at:
          format: date-time
          title: Created At
          type: string
      required:
        - object_type
        - short_id
        - lang
        - code
        - token
        - created_at
      title: CreateCallbackRsp
      type: object
    CreateDataRsp:
      properties:
        object_type:
          const: data
          title: Object Type
          type: string
        name:
          title: Name
          type: string
        description:
          title: Description
          type: string
        short_id:
          title: Short Id
          type: string
        created_at:
          format: date-time
          title: Created At
          type: string
        updated_at:
          format: date-time
          title: Updated At
          type: string
        path:
          default: ''
          title: Path
          type: string
        fmt:
          default: raw
          title: Fmt
          type: string
        tags:
          description: Data tags
          items:
            $ref: '#/components/schemas/DataTag'
          title: Tags
          type: array
      required:
        - object_type
        - name
        - description
        - short_id
        - created_at
        - updated_at
      title: CreateDataRsp
      type: object
    CreateEventRsp:
      properties:
        object_type:
          const: event
          title: Object Type
          type: string
        name:
          title: Name
          type: string
        short_id:
          title: Short Id
          type: string
        created_at:
          format: date-time
          title: Created At
          type: string
      required:
        - object_type
        - name
        - short_id
        - created_at
      title: CreateEventRsp
      type: object
    ListExperimentRsp:
      properties:
        object_type:
          const: experiment
          title: Object Type
          type: string
        short_id:
          title: Short Id
          type: string
        name:
          title: Name
          type: string
        model_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Model Id
        status:
          title: Status
          type: string
        meta:
          anyOf:
            - $ref: '#/components/schemas/_MetaModel'
            - type: 'null'
        n_chains:
          title: N Chains
          type: integer
        n_variables:
          title: N Variables
          type: integer
        n_samples:
          title: N Samples
          type: integer
        sample_update_time:
          format: date-time
          title: Sample Update Time
          type: string
        run_on:
          title: Run On
          type: string
        model_name:
          title: Model Name
          type: string
        workflow_id:
          default: ''
          title: Workflow Id
          type: string
        workflow_name:
          default: ''
          title: Workflow Name
          type: string
      required:
        - object_type
        - short_id
        - name
        - status
        - n_chains
        - n_variables
        - n_samples
        - sample_update_time
        - run_on
        - model_name
      title: ListExperimentRsp
      type: object
    ListModelsRspItem:
      properties:
        object_type:
          const: model
          title: Object Type
          type: string
        id:
          title: Id
          type: integer
        short_id:
          title: Short Id
          type: string
        name:
          title: Name
          type: string
        content:
          title: Content
        meta:
          $ref: '#/components/schemas/_ModelMetaInRsp'
        tags:
          items:
            type: string
          title: Tags
          type: array
        lambda_image_url:
          anyOf:
            - type: string
            - type: 'null'
          default: ''
          title: Lambda Image Url
        lambda_image_name:
          anyOf:
            - type: string
            - type: 'null'
          default: ''
          title: Lambda Image Name
      required:
        - object_type
        - id
        - short_id
        - name
        - meta
        - tags
      title: ListModelsRspItem
      type: object
    CreateRelationRsp:
      properties:
        object_type:
          const: relation
          title: Object Type
          type: string
        short_id:
          title: Short Id
          type: string
        user_id:
          title: User Id
          type: integer
        object1_id:
          title: Object1 Id
          type: string
        object2_id:
          title: Object2 Id
          type: string
        created_at:
          format: date-time
          title: Created At
          type: string
      required:
        - object_type
        - short_id
        - user_id
        - object1_id
        - object2_id
        - created_at
      title: CreateRelationRsp
      type: object
    CreateWorkflowRsp:
      properties:
        object_type:
          const: workflow
          title: Object Type
          type: string
        short_id:
          title: Short Id
          type: string
        name:
          title: Name
          type: string
        model_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Model Id
        model_name:
          anyOf:
            - type: string
            - type: 'null'
          title: Model Name
        data_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Data Id
        data_name:
          anyOf:
            - type: string
            - type: 'null'
          title: Data Name
        data_fmt:
          anyOf:
            - type: string
            - type: 'null'
          title: Data Fmt
        experiment_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Experiment Id
        experiment_name:
          anyOf:
            - type: string
            - type: 'null'
          title: Experiment Name
        analyzer_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Analyzer Id
        analyzer_name:
          anyOf:
            - type: string
            - type: 'null'
          title: Analyzer Name
        created_at:
          format: date-time
          title: Created At
          type: string
        updated_at:
          format: date-time
          title: Updated At
          type: string
        startup_script:
          anyOf:
            - type: string
            - type: 'null'
          title: Startup Script
        settings:
          anyOf:
            - type: string
            - type: 'null'
          title: Settings
        data_script:
          anyOf:
            - type: string
            - type: 'null'
          title: Data Script
        share_info:
          anyOf:
            - items:
                additionalProperties: true
                type: object
              type: array
            - type: 'null'
          title: Share Info
      required:
        - object_type
        - short_id
        - name
        - created_at
        - updated_at
      title: CreateWorkflowRsp
      type: object
    DataTag:
      enum:
        - anonymous
      title: DataTag
      type: string
    _MetaModel:
      properties:
        action:
          default: ''
          title: Action
          type: string
        iteration_count:
          anyOf:
            - type: integer
            - type: 'null'
          title: Iteration Count
      title: _MetaModel
      type: object
    _ModelMetaInRsp:
      properties:
        github:
          anyOf:
            - type: string
            - type: 'null'
          title: Github
        commit_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Commit Id
        origin_url:
          anyOf:
            - type: string
            - type: 'null'
          title: Origin Url
        fixed_version_url:
          anyOf:
            - type: string
            - type: 'null'
          title: Fixed Version Url
      title: _ModelMetaInRsp
      type: object
  securitySchemes:
    GlobalAuth:
      type: http
      scheme: bearer

````